//----------------------PROPERTIES-HEADER-MODULE-MODULE-FILE---------------------------//

//MAIN
/******/
.header-main {
  position: fixed;
  width: 100%;
  padding: 0 0.625rem;
  background-color: $white-style1;
  top: 0;
  left: 0;
  z-index: 2;
  border-bottom: 1px solid $grey-style1;
}

.header-top,
.header-bottom {
  width: 100%;
  max-width: $website-l-size;
  margin: 0 auto;
}

.header-top {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.header-main-logo {
  display: block;
  width: auto;
  height: 100%;
  max-height: 1.75rem;
}

.header-top-right {
  display: flex;
  align-items: baseline;
}

.header-main-search-canceled {
  display: none;
}

.header-main-search {
  width: 25rem;
  height: 2.125rem;
  display: flex;
  align-items: center;
  border: 1px solid #dbdbdb;
  border-radius: 0.3125rem;
  padding: 0.3125rem;
  font-family: $font-style1;
  font-size: 0.875rem;
  font-weight: 500;
  color: #7d7d7d;
}

.header-main-search-icon,
.header-main-search-icon-desktop,
.header-main-search-icon-newsletter {
  display: flex;
  align-items: center;
  justify-content: center;
  color: $black-style1;
  cursor: pointer;
}

.header-main-search-input {
  border: transparent;
  width: inherit;
  outline: none;
}

.header-main-search-trigger {
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: $font-style1;
  color: $white-style1;
  font-size: 0.75rem;
  background-color: $black-style2;
  border-radius: 0.3125rem;
  width: 2.1875rem;
  height: 1.5625rem;
  cursor: pointer;
  text-decoration: none;
}

.header-main-search-icon-newsletter {
  margin-right: 0.625rem;
  margin-left: 0;
}

.header-main-asset-container {
  margin: 0.3125rem 0 0 0.625rem;
}

.header-main-asset {
  display: inline-block;
  font-family: $font-style1;
  font-weight: 500;
  font-size: 0.625rem;
  color: #7d7d7d;
  text-decoration: none;
}

.header-main-btn-dropdown-category {
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-family: $font-style1;
  font-weight: 500;
  font-size: 0.8125rem;
  text-transform: uppercase;
  margin: 0 0.625rem 0.625rem 0.625rem;

  .header-main-nav-link {
    text-decoration: none;
    color: $black-style2;
  }
}

.header-main-item-subcategory {
  color: black;
  text-decoration: none;
  display: flex;
  align-items: center;
  font-family: $font-style1;
  font-size: 1rem;
  text-transform: capitalize;
  padding: 0.625rem 0 0.625rem 1.25rem;
}

// mobile version only
@include target-mq("zero", "medium") {
  .header-main {
    display: flex;
    align-items: center;
    height: $padding-top-body-mobile;
  }

  .header-main-menu-icon {
    display: block;
    cursor: pointer;
    transition: 0.4s transform linear;
  }

  .header-main-close-icon {
    display: none;
  }

  .header-bottom {
    position: absolute;
    overflow: hidden;
    overflow-y: auto;
    margin: 0;
    left: 0;
    top: calc(100% + 1px);
    height: 100vh;
    z-index: 2;
    background-color: $white-style1;
    padding: 1.25rem 0 0.625rem 0;
    transform: translateX(-100%);
    width: 15.375rem;
  }

  .header-icon-more {
    display: none;
  }

  .header-main-search-container {
    position: fixed;
    width: 100%;
    height: 8.75rem;
    padding: 0 0.625rem;
    background: #ffffff;
    top: $padding-top-body-mobile;
    left: 0;
    right: 0;
    bottom: 0;
    display: none;
  }

  .header-main-search-canceled {
    display: flex;
    justify-content: flex-end;
    width: 100%;
    padding: 0.9375rem 0;
    font-family: $font-style1;
    font-weight: 500;
    font-size: 1rem;
    color: $black-style2;
    cursor: pointer;
  }

  .header-main-search {
    width: 100%;
  }

  .header-icon-next {
    display: block;
    cursor: pointer;
    transition: 0.3s transform linear;
  }

  .header-main-dropdown-container {
    margin-bottom: 1.625rem;
  }

  .header-main-dropdown-container.active {
    .header-main-btn-dropdown-subcategory {
      display: block;
    }

    .header-icon-next {
      transform: rotate(90deg);
    }
  }

  .header-main-btn-dropdown-subcategory {
    display: none;

    :hover {
      background-color: #dbdbdb;
    }
  }

  // HANDLE PANELS OPEN / CLOSE
  .mobile-subnav-is-open {
    .header-main-menu-icon {
      display: none;
    }

    .header-main-close-icon {
      display: block;
      cursor: pointer;
    }

    .header-bottom {
      transform: initial;
    }
  }

  .mobile-search-is-open {
    .header-main-search-container {
      display: block;
    }
  }
}

//Desktop version only
@include mq("medium") {
  .header-main {
    padding: 0.625rem 0 0.5rem;
    height: $padding-top-body-desktop;
  }

  .header-main-logo {
    max-height: 3.125rem;
  }

  .header-top,
  .header-bottom {
    padding: 0 0.625rem;
  }

  .header-top {
    margin-bottom: 1.25rem;
  }

  .header-bottom {
    display: flex;
    align-items: center;
  }

  .header-main-menu-icon,
  .header-main-close-icon,
  .header-main-search-icon,
  .header-icon-next {
    display: none;
  }

  .header-main-search-icon-newsletter {
    margin-left: 0.6875rem;
  }

  .header-main-btn-dropdown-category {
    justify-content: center;
    margin: 0 1.25rem 0 0;
    cursor: pointer;
  }

  .header-main-btn-dropdown-subcategory {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 5rem;
    box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.2);
    & :hover {
      background-color: #dbdbdb;
    }
  }

  .header-main-item-subcategory {
    padding: 0.3125rem;
  }

  .header-main-dropdown-container:hover .header-main-btn-dropdown-subcategory {
    display: block;
    margin-left: 1.25rem;
    padding: 0.3125rem;
  }

  .header-nav-unloaded {
    .header-main-dropdown-container:hover
      .header-main-btn-dropdown-subcategory {
      display: none;
    }

    .header-icon-more {
      opacity: 0.3;
    }
  }
}
